"""

Generates the SLURM file for each model.

Args:
    inlistname: name of the inlist
    inlistdir: name of the inlist directory
    runbasefile: the name of the template shell script
    
Returns:
    the name of the SLURM file

"""

def make_slurm_sh(inlistname, inlistdir, runbasefile):
    
    #Read the contents of the base file 
    infile = open(runbasefile, 'r')
    infile_contents = infile.read()
    infile.close()

    #Replace the keys with appropriate values
    runname = inlistname.strip(".inlist")
    replaced_contents = infile_contents.replace('<<RUNNAME>>', runname)
    replaced_contents = replaced_contents.replace('<<DIRNAME>>', inlistdir)

    replaced_contents = replaced_contents.replace('<<RUNTIME>>', '23:00:00')
    runfile = runname+'_run.sh'

    #Write the new shell script
    outfile = open(runfile, 'w+')
    outfile.write(replaced_contents)
    outfile.close()

    return runfile
